<?xml version="1.0" encoding="iso-8859-1"?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
    "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" lang="en">
<!-- FileDetails/Synopsis/PTree/Node.hh.html -->
<!-- this view was generated by FileDetails -->
<head>
<meta content="text/html; charset=iso-8859-1" http-equiv="Content-Type"/>
<title >Synopsis - Synopsis/PTree/Node.hh Details</title>
<link href="../../../style.css" type="text/css" rel="stylesheet" />
</head>
<body class="FileDetails">
<div class="navigation">
<span class="normal"><a href="../../../Scopes/global.html" >Global Namespace</a></span>
<span class="normal"><a href="../../../InheritanceTree.html" >Inheritance Tree</a></span>
<span class="normal"><a href="../../../InheritanceGraph.html" >Inheritance Graph</a></span>
<span class="normal"><a href="../../../NameIndex.html" >Name Index</a></span>
</div>
<h1 >Synopsis/PTree/Node.hh</h1><div><a href="../../../Source/Synopsis/PTree/Node.hh.html" target="content">source code</a></div>
<h2 class="heading">Includes from this file:</h2><ul>
<li>include <a href="Encoding.hh.html" >Synopsis/PTree/Encoding.hh</a></li>
<li>include <a href="Visitor.hh.html" >Synopsis/PTree/Visitor.hh</a></li>
<li>include <a href="Node.hh.html" >Synopsis/PTree/Node.hh</a></li>
<li>include <a href="Node.hh.html" >Synopsis/PTree/Node.hh</a></li>
</ul>
<h2 class="heading">Declarations in this file:</h2>
<div><h3>Classes in Synopsis::PTree</h3>
<div class="item"><a href="../../../Scopes/Synopsis/PTree/Array.html" >Array</a>
<div class="doc"></div></div>
<div class="item"><a href="../../../Scopes/Synopsis/PTree/Atom.html" >Atom</a>
<div class="doc"></div></div>
<div class="item"><a href="../../../Scopes/Synopsis/PTree/Iterator.html" >Iterator</a>
<div class="doc"></div></div>
<div class="item"><a href="../../../Scopes/Synopsis/PTree/List.html" >List</a>
<div class="doc"></div></div>
<div class="item"><a href="../../../Scopes/Synopsis/PTree/Node.html" >Node</a>
<div class="doc"></div></div>

</div>
<div><h3>Data members in Synopsis::PTree::Array</h3>
<div class="item"><a href="../../../Scopes/Synopsis/PTree/Array.html#array" >array</a>
<div class="doc"></div></div>
<div class="item"><a href="../../../Scopes/Synopsis/PTree/Array.html#default_buf" >default_buf</a>
<div class="doc"></div></div>
<div class="item"><a href="../../../Scopes/Synopsis/PTree/Array.html#num" >num</a>
<div class="doc"></div></div>
<div class="item"><a href="../../../Scopes/Synopsis/PTree/Array.html#size" >size</a>
<div class="doc"></div></div>

</div>
<div><h3>Data members in Synopsis::PTree::Iterator</h3>
<div class="item"><a href="../../../Scopes/Synopsis/PTree/Iterator.html#ptree" >ptree</a>
<div class="doc"></div></div>

</div>
<div><h3>Data members in Synopsis::PTree::Node::`0097::`0098</h3>
<div class="item"><a href="../../../Scopes/Synopsis/PTree/Node/`0097/`0098.html#child" >child</a>
<div class="doc"></div></div>
<div class="item"><a href="../../../Scopes/Synopsis/PTree/Node/`0097/`0098.html#next" >next</a>
<div class="doc"></div></div>

</div>
<div><h3>Data members in Synopsis::PTree::Node::`0097::`0099</h3>
<div class="item"><a href="../../../Scopes/Synopsis/PTree/Node/`0097/`0099.html#length" >length</a>
<div class="doc"></div></div>
<div class="item"><a href="../../../Scopes/Synopsis/PTree/Node/`0097/`0099.html#position" >position</a>
<div class="doc"></div></div>

</div>
<div><h3>Data members in Synopsis::PTree::Node::`0097</h3>
<div class="item"><a href="../../../Scopes/Synopsis/PTree/Node/`0097.html#leaf" >leaf</a>
<div class="doc"></div></div>
<div class="item"><a href="../../../Scopes/Synopsis/PTree/Node/`0097.html#nonleaf" >nonleaf</a>
<div class="doc"></div></div>

</div>
<div><h3>Data members in Synopsis::PTree::Node</h3>
<div class="item"><a href="../../../Scopes/Synopsis/PTree/Node.html#my_data" >my_data</a>
<div class="doc"></div></div>

</div>
<div><h3>Member functions in Synopsis::PTree::Array</h3>
<div class="item"><a href="../../../Scopes/Synopsis/PTree/Array.html#Array_lsize_t_r" >Array&#40;size_t&#41;</a>
<div class="doc"></div></div>

</div>
<div><h3>Member functions in Synopsis::PTree::Atom</h3>
<div class="item"><a href="../../../Scopes/Synopsis/PTree/Atom.html#Atom_lconst.Token_A_r" >Atom&#40;const&#160;Token&amp;&#41;</a>
<div class="doc"></div></div>

</div>
<div><h3>Member functions in Synopsis::PTree::Iterator</h3>
<div class="item"><a href="../../../Scopes/Synopsis/PTree/Iterator.html#next_lNode_S_A_r" >next&#40;Node*&amp;&#41;</a>
<div class="doc"></div></div>
<div class="item"><a href="../../../Scopes/Synopsis/PTree/Iterator.html#operator_p_p_lint_r" >operator++&#40;int&#41;</a>
<div class="doc"></div></div>

</div>
<div><h3>Member functions in Synopsis::PTree::Node</h3>
<div class="item"><a href="../../../Scopes/Synopsis/PTree/Node.html#Node_lNode_S_cNode_S_r" >Node&#40;Node*&#44;Node*&#41;</a>
<div class="doc"><p>used by List</p>
</div></div>
<div class="item"><a href="../../../Scopes/Synopsis/PTree/Node.html#Node_lconst.char_S_csize_t_r" >Node&#40;const&#160;char*&#44;size_t&#41;</a>
<div class="doc"><p>used by Atom</p>
</div></div>
<div class="item"><a href="../../../Scopes/Synopsis/PTree/Node.html#accept_lVisitor_S_r" >accept&#40;Visitor*&#41;</a>
<div class="doc"></div></div>
<div class="item"><a href="../../../Scopes/Synopsis/PTree/Node.html#set_car_lNode_S_r" >set_car&#40;Node*&#41;</a>
<div class="doc"></div></div>
<div class="item"><a href="../../../Scopes/Synopsis/PTree/Node.html#_tNode_l_r" >~Node&#40;&#41;</a>
<div class="doc"></div></div>

</div>
<div><h3>Structs in Synopsis::PTree::Node::`0097</h3>
<div class="item"><a href="../../../Scopes/Synopsis/PTree/Node/`0097/`0098.html" >`0098</a>
<div class="doc"></div></div>
<div class="item"><a href="../../../Scopes/Synopsis/PTree/Node/`0097/`0099.html" >`0099</a>
<div class="doc"></div></div>

</div>
<div><h3>Unions in Synopsis::PTree::Node</h3>
<div class="item"><a href="../../../Scopes/Synopsis/PTree/Node/`0097.html" >`0097</a>
<div class="doc"></div></div>
</div>

</body>
</html>
